Download it now!
Bug 119809 - FILESAVE DOCX The combo box ActiveX control is lost in LibreOffice Writer
Summary: FILESAVE DOCX The combo box ActiveX control is lost in LibreOffice Writer
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:6.4.0 target:6.3.2 target:6.2.8
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-ActiveX-Legacy
  Show dependency treegraph
 
Reported: 2018-09-11 15:46 UTC by Gabor Kelemen
Modified: 2019-09-17 13:22 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word with a combo box ActiveX control. (21.69 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-09-11 15:46 UTC, Gabor Kelemen
Details
The original file saved by Writer. (16.48 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-09-11 15:47 UTC, Gabor Kelemen
Details
Screenshot of the original and exported document side by side in Writer. (128.44 KB, image/png)
2018-09-11 15:47 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2018-09-11 15:46:36 UTC
Created attachment 144800 [details]
Example file from Word with a combo box ActiveX control.

The combo box ActiveX control is lost in DOCX documents created with Microsoft Word 2010, when the document is exported in LibreOffice Writer.

Steps to reproduce:

    1. Create a new document in Microsoft Word.
    2. On the Developer tab, in the Controls group, click Design Mode.
    3. Insert a combo box. (Controls group > ActiveX controls > Combo Box).
    4. Save the file as DOCX.
    5. Open the same file in LibreOffice Writer.
    6. Save and reload the file.

Actual results:
The combo box ActiveX control is lost.

Expected results:
The combo box should be preserved.

LibreOffice details:
Version: 6.2.0.0.alpha0+
Build ID: 7f43f0b50135e147fb2bb1f942da3bf60153fd2c
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-09-06_00:12:14
Locale: en-US (hu_HU); Calc: threaded
Comment 1 Gabor Kelemen 2018-09-11 15:47:03 UTC
Created attachment 144801 [details]
The original file saved by Writer.
Comment 2 Gabor Kelemen 2018-09-11 15:47:24 UTC
Created attachment 144802 [details]
Screenshot of the original and exported document side by side in Writer.
Comment 3 raal 2018-09-11 18:38:04 UTC
This seems to have begun at the below commit.
Adding Cc: to Tamás Zolnai ; Could you possibly take a look at this one?
Thanks

05a77c18749c8292d964259f2d40830851f5addf is the first bad commit
commit 05a77c18749c8292d964259f2d40830851f5addf
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Thu Aug 10 08:07:45 2017 +0200

    source sha:4a764319cbad4e2589cc105145ac27defbf49ff6

author	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-08-09 16:06:17 +0200
committer	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-08-09 19:07:33 +0200
commit	4a764319cbad4e2589cc105145ac27defbf49ff6 (patch)
tree	9e020cfde1025dea3b1b1fc5839bba27b39ddd8e
parent	286c27e805c4501451857abff19c23b3719146a3 (diff)
tdf#91384: DOCX: import ActiveX controls
Comment 4 Commit Notification 2019-08-23 18:02:48 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3ceefe9abff98fc24ffb5e8e405f4999faddc351%5E%21

tdf#119809: FILESAVE DOCX The combo box ActiveX control is lost

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-09-05 09:07:13 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/f4fb61e647fefc209038e3cfdf474041d9f6be8b%5E%21

tdf#119809: FILESAVE DOCX The combo box ActiveX control is lost

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-09-17 08:32:41 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: c56bf1479cc71d1a2b0639f6383e90c1f7e3655b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Tamás Zolnai, thanks for fixing this issue!
Comment 7 Commit Notification 2019-09-17 13:22:32 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/afe190f1545a159e67d48eeba5c6be133d262af0%5E%21

tdf#119809: FILESAVE DOCX The combo box ActiveX control is lost

It will be available in 6.2.8.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.